## RKWard-binary-0.6.3_KDE-4.14.3_src.tar

=== CMakeLists.txt ===
project(poppler)

cmake_minimum_required(VERSION 2.6.0 FATAL_ERROR)

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules)

include(PopplerDefaults)
include(PopplerMacros)
include(MacroOptionalFindPackage)
find_package(PkgConfig)
include(MacroEnsureVersion)
include(MacroBoolTo01)
find_package(Threads)
include(TestBigEndian)
test_big_endian(WORDS_BIGENDIAN)
include(CheckFileOffsetBits)
CHECK_FILE_OFFSET_BITS()

set(POPPLER_MAJOR_VERSION "0")
set(POPPLER_MINOR_VERSION "31")
set(POPPLER_MICRO_VERSION "0")
set(POPPLER_VERSION "${POPPLER_MAJOR_VERSION}.${POPPLER_MINOR_VERSION}.${POPPLER_MICRO_VERSION}")

# command line switches
option(ENABLE_XPDF_HEADERS "Install unsupported xpdf headers." OFF)
option(BUILD_GTK_TESTS "Whether compile the GTK+ test programs." ON)
option(BUILD_QT4_TESTS "Whether compile the Qt4 test programs." ON)
option(BUILD_QT5_TESTS "Whether compile the Qt5 test programs." ON)
option(BUILD_CPP_TESTS "Whether compile the CPP test programs." ON)
option(ENABLE_SPLASH "Build the Splash graphics backend." ON)
option(ENABLE_UTILS "Compile poppler command line utils." ON)
option(ENABLE_CPP "Compile poppler cpp wrapper." ON)
set(ENABLE_LIBOPENJPEG "auto" CACHE STRING "Use libopenjpeg for JPX streams. Possible values: auto, openjpeg1, openjpeg2. 'auto' prefers openjpeg1 over openjpeg2 if both are available. Unset to not use openjpeg.")
set(ENABLE_CMS "auto" CACHE STRING "Use color management system. Possible values: auto, lcms1, lcms2. 'auto' prefers lcms2 over lcms1 if both are available. Unset to disable color management system.")
option(ENABLE_LIBCURL "Build libcurl based HTTP support." OFF)
option(ENABLE_ZLIB "Build with zlib (not totally safe)." OFF)
option(USE_FIXEDPOINT "Use fixed point arithmetic in the Splash backend" OFF)
option(USE_FLOAT "Use single precision arithmetic in the Splash backend" OFF)
if(WIN32)
  option(ENABLE_RELOCATABLE "Do not hardcode the poppler library location (on Windows)." ON)
else(WIN32)
  set(ENABLE_RELOCATABLE OFF)
endif(WIN32)

set(LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)")

set(TESTDATADIR "${CMAKE_SOURCE_DIR}/../test" CACHE STRING "Specify test data dir.")
if(NOT (EXISTS ${TESTDATADIR} AND EXISTS ${TESTDATADIR}/test-poppler.c))
  message(WARNING "
 No test data found in $testdatadir.
 You will not be able to run 'make test' successfully.

 The test data is not included in the source packages
 and is also not part of the main git repository. Instead,
 you can checkout the test data from its own git
 repository with:

   git clone git://git.freedesktop.org/git/poppler/test

 You should checkout the test data as a sibling of your
 poppler source folder or specify the location of your
 checkout with -DTESTDATADIR=/path/to/checkoutdir/test.
  ")
endif()

if(WIN32)
  set(_default_fontconfiguration "win32")
else(WIN32)
  set(_default_fontconfiguration "fontconfig")
endif(WIN32)
set(FONT_CONFIGURATION "${_default_fontconfiguration}" CACHE STRING "The font configuration backend (win32|fontconfig).")
string(TOLOWER "${FONT_CONFIGURATION}" font_configuration)
set(WITH_FONTCONFIGURATION_WIN32 OFF)
set(WITH_FONTCONFIGURATION_FONTCONFIG OFF)
if(font_configuration STREQUAL "win32")
  set(WITH_FONTCONFIGURATION_WIN32 ON)
elseif(font_configuration STREQUAL "fontconfig")
  set(WITH_FONTCONFIGURATION_FONTCONFIG ON)
else(font_configuration STREQUAL "win32")
  message(FATAL_ERROR "Invalid font configuration setting: ${FONT_CONFIGURATION}")
endif(font_configuration STREQUAL "win32")

# Enable these unconditionally.
set(MULTITHREADED ON)
set(OPI_SUPPORT ON)
set(TEXTOUT_WORD_LIST ON)

# setting the minimum required versions for some components
set(QT4_MIN_VERSION "4.7.0")
set(CAIRO_VERSION "1.10.0")
set(GLIB_REQUIRED "2.18")

macro_bool_to_01(ENABLE_SPLASH HAVE_SPLASH)
find_package(Freetype REQUIRED)
if(WITH_FONTCONFIGURATION_FONTCONFIG)
  find_package(Fontconfig REQUIRED)
endif(WITH_FONTCONFIGURATION_FONTCONFIG)
macro_optional_find_package(JPEG)
macro_optional_find_package(PNG)
macro_optional_find_package(TIFF)
if(JPEG_FOUND)
  set(ENABLE_LIBJPEG ${JPEG_FOUND})
endif(JPEG_FOUND)
macro_optional_find_package(Qt4)
if(${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}.${CMAKE_PATCH_VERSION} VERSION_GREATER 2.8.7)
  find_package(Qt5Core)
  find_package(Qt5Gui)
  find_package(Qt5Xml)
  find_package(Qt5Widgets)
  find_package(Qt5Test)
  if (Qt5Core_FOUND AND Qt5Gui_FOUND AND Qt5Xml_FOUND AND Qt5Widgets_FOUND AND Qt5Test_FOUND)
    set(QT5_FOUND true)
  else ()
    message("-- Package Qt5Core or Qt5Gui or Qt5Xml or Qt5Widgets or Qt5Test not found")
    set(QT5_FOUND false)
  endif()
else(${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}.${CMAKE_PATCH_VERSION} VERSION_GREATER 2.8.7)
  set(QT5_FOUND false)
  message("-- CMake >= 2.8.8 is needed to enable Qt5")
endif(${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}.${CMAKE_PATCH_VERSION} VERSION_GREATER 2.8.7)

macro_optional_find_package(Cairo ${CAIRO_VERSION})
if(CAIRO_FOUND)
  set(HAVE_CAIRO ${CAIRO_FOUND})
  set(CAIRO_FEATURE "#define POPPLER_HAS_CAIRO 1")
  set(CAIRO_REQ "cairo")
  set(POPPLER_GLIB_DISABLE_DEPRECATED "")
  set(POPPLER_GLIB_DISABLE_SINGLE_INCLUDES "")
  macro_optional_find_package(GLIB)
  if(GLIB_FOUND)
    set(ENABLE_GLIB ON)
    # Check for introspection
    macro_optional_find_package(GObjectIntrospection 0.9.12)
    set(HAVE_INTROSPECTION ${INTROSPECTION_FOUND})
    set(POPPLER_GLIB_DISABLE_DEPRECATED "${POPPLER_GLIB_DISABLE_DEPRECATED} -DG_DISABLE_DEPRECATED")
    set(POPPLER_GLIB_DISABLE_SINGLE_INCLUDES "${POPPLER_GLIB_DISABLE_SINGLE_INCLUDES} -DG_DISABLE_SINGLE_INCLUDES")
    macro_optional_find_package(GTK)
  endif(GLIB_FOUND)
else(CAIRO_FOUND)
  set(CAIRO_FEATURE "#undef POPPLER_HAS_CAIRO")
endif(CAIRO_FOUND)
if(ENABLE_CPP)
  macro_optional_find_package(Iconv)
  set(ENABLE_CPP ${ICONV_FOUND})
  set(HAVE_ICONV ${ICONV_FOUND})
endif(ENABLE_CPP)
if(ENABLE_ZLIB)
  find_package(ZLIB)
  if(ZLIB_FOUND)
    set(HAVE_LIBZ ${ZLIB_FOUND})
  endif(ZLIB_FOUND)
  set(ENABLE_ZLIB ${ZLIB_FOUND})
endif(ENABLE_ZLIB)
set(USE_OPENJPEG1 FALSE)
set(USE_OPENJPEG2 FALSE)
if(ENABLE_LIBOPENJPEG STREQUAL "auto")
  find_package(LIBOPENJPEG)
  set(USE_OPENJPEG1 ${LIBOPENJPEG_FOUND})
  set(WITH_OPENJPEG ${LIBOPENJPEG_FOUND})
  if(NOT LIBOPENJPEG_FOUND)
    find_package(LIBOPENJPEG2)
    set(USE_OPENJPEG2 ${LIBOPENJPEG2_FOUND})
    set(WITH_OPENJPEG ${LIBOPENJPEG2_FOUND})
  endif()
elseif(ENABLE_LIBOPENJPEG STREQUAL "openjpeg1")
  find_package(LIBOPENJPEG)
  set(USE_OPENJPEG1 ${LIBOPENJPEG_FOUND})
  set(WITH_OPENJPEG ${LIBOPENJPEG_FOUND})
elseif(ENABLE_LIBOPENJPEG STREQUAL "openjpeg2")
  find_package(LIBOPENJPEG2)
  set(USE_OPENJPEG2 ${LIBOPENJPEG2_FOUND})
  set(WITH_OPENJPEG ${LIBOPENJPEG2_FOUND})
endif()
if(ENABLE_CMS STREQUAL "auto")
  find_package(LCMS2)
  set(USE_CMS ${LCMS2_FOUND})
  if(NOT LCMS2_FOUND)
    find_package(LCMS)
    set(USE_CMS ${LCMS_FOUND})
    set(USE_LCMS1 ${LCMS_FOUND})
  endif(NOT LCMS2_FOUND)
elseif(ENABLE_CMS STREQUAL "lcms1")
  find_package(LCMS)
  set(USE_CMS ${LCMS_FOUND})
  set(USE_LCMS1 ${LCMS_FOUND})
elseif(ENABLE_CMS STREQUAL "lcms2")
  find_package(LCMS2)
  set(USE_CMS ${LCMS2_FOUND})
endif()
if(ENABLE_LIBCURL)
  find_package(CURL)
  include_directories(${CURL_INCLUDE_DIR})
  set(POPPLER_HAS_CURL_SUPPORT ON)
endif(ENABLE_LIBCURL)

add_definitions(-DHAVE_CONFIG_H=1)
if(MINGW)
  # Use mingw's ansi stdio extensions
  add_definitions(-D__USE_MINGW_ANSI_STDIO=1)
endif(MINGW)
if(FONTCONFIG_FOUND)
  add_definitions(${FONTCONFIG_DEFINITIONS})
  include_directories(${FONTCONFIG_INCLUDE_DIR})
endif(FONTCONFIG_FOUND)
if(WITH_FONTCONFIGURATION_WIN32)
  if(MINGW)
    # Set the minimum required Internet Explorer version to 5.0
    add_definitions(-D_WIN32_IE=0x0500)
  endif(MINGW)
endif(WITH_FONTCONFIGURATION_WIN32)
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/fofi
  ${CMAKE_CURRENT_SOURCE_DIR}/goo
  ${CMAKE_CURRENT_SOURCE_DIR}/poppler
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}/poppler
  ${FREETYPE_INCLUDE_DIRS}
)
set(HAVE_FREETYPE_H ON)
if(CMAKE_USE_PTHREADS_INIT)
  set(HAVE_PTHREAD ON)
endif(CMAKE_USE_PTHREADS_INIT)

if(ENABLE_ZLIB)
  include_directories(${ZLIB_INCLUDE_DIR})
endif(ENABLE_ZLIB)
if(JPEG_FOUND)
  include_directories(${JPEG_INCLUDE_DIR})
  set(ENABLE_LIBJPEG ON)
endif(JPEG_FOUND)
if(PNG_FOUND)
  include_directories(${PNG_INCLUDE_DIR})
  set(ENABLE_LIBPNG ON)
endif(PNG_FOUND)
if(TIFF_FOUND)
  include_directories(${TIFF_INCLUDE_DIR})
  set(ENABLE_LIBTIFF ON)
endif(TIFF_FOUND)
if(LIBOPENJPEG_FOUND)
  include_directories(${LIBOPENJPEG_INCLUDE_DIR})
endif(LIBOPENJPEG_FOUND)
if(LIBOPENJPEG2_FOUND)
  include_directories(${LIBOPENJPEG2_INCLUDE_DIRS})
endif()
if(LCMS_FOUND)
  include_directories(${LCMS_INCLUDE_DIR})
endif(LCMS_FOUND)
if(LCMS2_FOUND)
  include_directories(${LCMS2_INCLUDE_DIR})
endif(LCMS2_FOUND)

# Recent versions of poppler-data install a .pc file.
# Use it to determine the encoding data path, if available.
# Default to the same prefix otherwise.
pkg_check_modules(POPPLER_DATA poppler-data)
if(POPPLER_DATA_FOUND)
  execute_process(COMMAND "${PKG_CONFIG_EXECUTABLE}" --variable=poppler_datadir poppler-data
                  RESULT_VARIABLE _result_var
                  OUTPUT_VARIABLE _output_var OUTPUT_STRIP_TRAILING_WHITESPACE)
  if(_result_var STREQUAL "0" AND NOT _output_var STREQUAL "")
    set(POPPLER_DATADIR "${_output_var}")
  endif(_result_var STREQUAL "0" AND NOT _output_var STREQUAL "")
endif(POPPLER_DATA_FOUND)
if(NOT DEFINED POPPLER_DATADIR)
  set(POPPLER_DATADIR "${CMAKE_INSTALL_PREFIX}/share/poppler")
endif(NOT DEFINED POPPLER_DATADIR)

if(DEFINED COMPILE_WARNINGS)
else(DEFINED COMPILE_WARNINGS)
  set(COMPILE_WARNINGS "yes")
endif(DEFINED COMPILE_WARNINGS)
string(TOLOWER "${COMPILE_WARNINGS}" _comp_warnings)
if(_comp_warnings STREQUAL "no")
  set(CMAKE_CXX_FLAGS "${DEFAULT_COMPILE_WARNINGS_NO} ${CMAKE_CXX_FLAGS}")
endif(_comp_warnings STREQUAL "no")
if(_comp_warnings STREQUAL "yes")
  set(CMAKE_C_FLAGS "-Wall ${CMAKE_C_FLAGS}")
  set(CMAKE_CXX_FLAGS "${DEFAULT_COMPILE_WARNINGS_YES} ${CMAKE_CXX_FLAGS}")
endif(_comp_warnings STREQUAL "yes")
if(_comp_warnings STREQUAL "kde")
  set(CMAKE_C_FLAGS "-Wall ${CMAKE_C_FLAGS}")
  set(CMAKE_CXX_FLAGS "${DEFAULT_COMPILE_WARNINGS_KDE} ${CMAKE_CXX_FLAGS}")
endif(_comp_warnings STREQUAL "kde")


include(ConfigureChecks.cmake)
configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)
configure_file(poppler/poppler-config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/poppler/poppler-config.h)


set(poppler_SRCS
  goo/gfile.cc
  goo/gmempp.cc
  goo/GooHash.cc
  goo/GooList.cc
  goo/GooTimer.cc
  goo/GooString.cc
  goo/gmem.cc
  goo/FixedPoint.cc
  goo/NetPBMWriter.cc
  goo/PNGWriter.cc
  goo/TiffWriter.cc
  goo/JpegWriter.cc
  goo/ImgWriter.cc
  goo/gstrtod.cc
  goo/grandom.cc
  fofi/FoFiBase.cc
  fofi/FoFiEncodings.cc
  fofi/FoFiTrueType.cc
  fofi/FoFiType1.cc
  fofi/FoFiType1C.cc
  fofi/FoFiIdentifier.cc
  poppler/Annot.cc
  poppler/Array.cc
  poppler/BuiltinFont.cc
  poppler/BuiltinFontTables.cc
  poppler/CachedFile.cc
  poppler/Catalog.cc
  poppler/CharCodeToUnicode.cc
  poppler/CMap.cc
  poppler/DateInfo.cc
  poppler/Decrypt.cc
  poppler/Dict.cc
  poppler/Error.cc
  poppler/FileSpec.cc
  poppler/FontEncodingTables.cc
  poppler/Form.cc
  poppler/FontInfo.cc
  poppler/Function.cc
  poppler/Gfx.cc
  poppler/GfxFont.cc
  poppler/GfxState.cc
  poppler/GlobalParams.cc
  poppler/Hints.cc
  poppler/JArithmeticDecoder.cc
  poppler/JBIG2Stream.cc
  poppler/Lexer.cc
  poppler/Link.cc
  poppler/Linearization.cc
  poppler/LocalPDFDocBuilder.cc
  poppler/MarkedContentOutputDev.cc
  poppler/NameToCharCode.cc
  poppler/Object.cc
  poppler/OptionalContent.cc
  poppler/Outline.cc
  poppler/OutputDev.cc
  poppler/Page.cc
  poppler/PageTransition.cc
  poppler/Parser.cc
  poppler/PDFDoc.cc
  poppler/PDFDocEncoding.cc
  poppler/PDFDocFactory.cc
  poppler/PopplerCache.cc
  poppler/ProfileData.cc
  poppler/PreScanOutputDev.cc
  poppler/PSTokenizer.cc
  poppler/Stream.cc

=== libmacho/Makefile ===
LEGACY = -D_MACH_I386_THREAD_STATUS_FPSTATE_LEGACY_FIELD_NAMES_ \
	 -D_ARCHITECTURE_I386_FPU_FPSTATE_LEGACY_FIELD_NAMES_

KERN = -fno-builtin -finline -fno-keep-inline-functions -fsigned-bitfields \
       -msoft-float -nostdinc \
-I$(NEXT_ROOT)/System/Library/Frameworks/Kernel.framework/PrivateHeaders/libsa \
-I$(NEXT_ROOT)/System/Library/Frameworks/Kernel.framework/PrivateHeaders \
       -I$(NEXT_ROOT)/System/Library/Frameworks/Kernel.framework/Headers/libsa \
       -I$(NEXT_ROOT)/System/Library/Frameworks/Kernel.framework/Headers/bsd \
       -I$(NEXT_ROOT)/System/Library/Frameworks/Kernel.framework/Headers \
       -DKERNEL -DKERNEL_PRIVATE -DAPPLE -DNeXT -DLIBSA_PRIVATE

ifeq "$(findstring iPhoneOS.platform, $(SDKROOT))" "iPhoneOS.platform"
  LIBMALLOC = -lsystem_malloc
else ifeq "$(MACOSX_DEPLOYMENT_TARGET)" "10.9"
  LIBMALLOC = -lsystem_malloc
endif

ifeq "cctools_ofiles_Sim" "$(RC_ProjectName)"
  S = _sim
  DEPENDENT_LIBS = -nodefaultlibs -umbrella System -L/usr/lib/system \
		   -ldyld$S -lsystem$S_c -lcompiler_rt$S -Wl,-upward-lSystem
else
  DEPENDENT_LIBS = -nodefaultlibs -umbrella System -L/usr/lib/system \
		   -ldyld $(LIBMALLOC) -lsystem_c -lsystem_kernel \
		   -lcompiler_rt
endif

ifneq "" "$(SDKROOT)"
  SDK = -isysroot $(SDKROOT)
  CC = $(shell xcrun -find -sdk $(SDKROOT) cc)
  STRIP = $(shell xcrun -find -sdk ${SDKROOT} strip)
  DSYMUTIL = $(shell xcrun -find -sdk ${SDKROOT} dsymutil)
  LIBTOOL = $(shell xcrun -find -sdk $(SDKROOT) libtool)
  RANLIB = $(shell xcrun -find -sdk $(SDKROOT) ranlib)
else
  STRIP = strip
  DSYMUTIL = dsymutil
  LIBTOOL = libtool
  RANLIB = ranlib
endif

OFLAG = -Os
CFLAGS = $(OFLAG) -g -Wall $(LEGACY) \
	 -I$(SRCROOT) -I$(SRCROOT)/../include -I$(OFILE_DIR) $(SDK)
PG = -pg

MKDIRS = /bin/mkdir -p
SRCROOT = .
SYMROOT = .
OBJROOT = .
OFILE_DIRS = $(OBJROOT)/shlib_obj $(OBJROOT)/profile_obj \
	     $(OBJROOT)/optimized_obj $(OBJROOT)/dynamic_obj \
	     $(OBJROOT)/ptmp_obj $(OBJROOT)/otmp_obj $(OBJROOT)/dtmp_obj \
	     $(OBJROOT)/kld_obj $(OBJROOT)/ktmp_obj
OFILE_DIR = $(OBJROOT)
VPATH = $(OFILE_DIR)

ARCHIVEDIR = /usr/local/lib/system
DYLIBDIR = /usr/lib/system

CFILES = arch.c getsecbyname.c getsegbyname.c get_end.c \
	 swap.c hppa_swap.c i386_swap.c m68k_swap.c sparc_swap.c \
	 ppc_swap.c i860_swap.c m88k_swap.c slot_name.c

INSTALL_FILES = $(CFILES) $(HFILES) shlib.ofileList dylib.ofileList Makefile \
		notes

OBJS = arch.o getsecbyname.o getsegbyname.o get_end.o swap.o \
       hppa_swap.o i386_swap.o m68k_swap.o sparc_swap.o ppc_swap.o \
       i860_swap.o m88k_swap.o slot_name.o

ifeq "$(OLD_LIBKLD)" "YES"
	KLD_OFILES = kld_ofiles
else
	KLD_OFILES =
endif

all: lib_ofiles

lib_ofiles: $(OFILE_DIRS) $(SYMROOT) optimized_ofiles $(KLD_OFILES) \
	    dynamic_ofiles profile_ofiles

shlib_ofiles: $(OBJROOT)/shlib_obj
	@if [ $(SRCROOT) = . ];						\
	then								\
	    (cd shlib_obj;						\
		$(MAKE) -f ../Makefile $(OBJS)				\
		VPATH=.. 						\
		OFILE_DIR=.						\
		SRCROOT=..						\
		COPTS="-static -DSHLIB -I/LocalDeveloper/Headers/libsys" \
		LIBSTUFF="-L../../libstuff -lstuff_s"			\
		OFLAG="$(OFLAG)"					\
		RC_CFLAGS="$(RC_CFLAGS)"				\
		RC_ARCHS="$(RC_ARCHS)");				\
	    rm -f shlib_obj/libmacho.ofileList;				\
	    cp shlib.ofileList shlib_obj/libmacho.ofileList;		\
	else								\
	    (cd $(OBJROOT)/shlib_obj;					\
		$(MAKE) -f $(SRCROOT)/Makefile $(OBJS)			\
		VPATH=$(SRCROOT)					\
		OFILE_DIR=$(OBJROOT)/shlib_obj				\
		SRCROOT=$(SRCROOT)					\
		SYMROOT=$(SYMROOT)					\
		COPTS="-static -DSHLIB -I/LocalDeveloper/Headers/libsys" \
		LIBSTUFF="-L$(SYMROOT)/../libstuff -lstuff_s"		\
		OFLAG="$(OFLAG)"					\
		RC_CFLAGS="$(RC_CFLAGS)"				\
		RC_ARCHS="$(RC_ARCHS)");				\
	    rm -f $(OBJROOT)/shlib_obj/libmacho.ofileList;		\
	    cp shlib.ofileList $(OBJROOT)/shlib_obj/libmacho.ofileList;	\
	fi

profile_ofiles:	$(OBJROOT)/profile_obj $(OBJROOT)/ptmp_obj
	@if [ $(SRCROOT) = . ];						\
	then								\
	    (cd ptmp_obj;						\
		$(MAKE) -f ../Makefile libmacho_pg.a libmacho$S_profile.dylib \
		INSTALL_NAME=/usr/lib/system/libmacho$S_profile.dylib	\
		VPATH=.. 						\
		OFILE_DIR=.						\
		SRCROOT=..						\
		COPTS="-dynamic $(PG)"					\
		LIBSTUFF="-L../../libstuff -lstuff_p"			\
		OFLAG="$(OFLAG)"					\
		RC_CFLAGS="$(RC_CFLAGS)"				\
		RC_ARCHS="$(RC_ARCHS)");				\
	    (cd profile_obj; rm -f $(OBJS));				\
	    (cd ptmp_obj; cp $(OBJS) ../profile_obj); \
	    rm -f dynamic_profile_obj;					\
	    ln -s ./profile_obj dynamic_profile_obj;			\
	    rm -f profile_obj/libmacho.ofileList;			\
	    cp dylib.ofileList profile_obj/libmacho.ofileList;		\
	else								\
	    (cd $(OBJROOT)/ptmp_obj;					\
		$(MAKE) -f $(SRCROOT)/Makefile libmacho_pg.a		\
		libmacho$S_profile.dylib				\
		INSTALL_NAME=/usr/lib/system/libmacho$S_profile.dylib	\
		VPATH=$(SRCROOT)					\
		OFILE_DIR=$(OBJROOT)/ptmp_obj				\
		SRCROOT=$(SRCROOT)					\
		SYMROOT=$(SYMROOT)					\
		LIBSTUFF="-L$(SYMROOT)/../libstuff -lstuff_p"		\
		COPTS="-dynamic $(PG)"					\
		OFLAG="$(OFLAG)"					\
		RC_CFLAGS="$(RC_CFLAGS)"				\
		RC_ARCHS="$(RC_ARCHS)");				\
	    (cd $(OBJROOT)/profile_obj; rm -f $(OBJS));			\
	    (cd $(OBJROOT)/ptmp_obj; 					\
		cp $(OBJS) $(OBJROOT)/profile_obj); \
	    rm -f $(OBJROOT)/dynamic_profile_obj;			\
	    ln -s ./profile_obj $(OBJROOT)/dynamic_profile_obj;		\
	    rm -f $(OBJROOT)/profile_obj/libmacho.ofileList;		\
	    cp dylib.ofileList $(OBJROOT)/profile_obj/libmacho.ofileList; \
	fi

optimized_ofiles: $(OBJROOT)/optimized_obj $(OBJROOT)/otmp_obj
	@if [ $(SRCROOT) = . ];						\
	then								\
	    (cd otmp_obj;						\
		$(MAKE) -f ../Makefile libmacho_static.a		\
		VPATH=.. 						\
		OFILE_DIR=.						\
		SRCROOT=..						\
		COPTS="-static"						\
		LIBSTUFF="-L../../libstuff -lstuff"			\
		OFLAG="$(OFLAG)"					\
		RC_CFLAGS="$(RC_CFLAGS)"				\
		RC_ARCHS="$(RC_ARCHS)");				\
	    (cd optimized_obj; rm -f $(OBJS));				\
	    (cd otmp_obj; cp $(OBJS) ../optimized_obj); 		\
	    rm -f static_obj;						\
	    ln -s ./optimized_obj static_obj;				\
	    rm -f optimized_obj/libmacho.ofileList;			\
	    cp dylib.ofileList optimized_obj/libmacho.ofileList;	\
	else								\
	    (cd $(OBJROOT)/otmp_obj;					\
		$(MAKE) -f $(SRCROOT)/Makefile libmacho_static.a	\
		VPATH=$(SRCROOT)					\
		OFILE_DIR=$(OBJROOT)/otmp_obj				\
		SRCROOT=$(SRCROOT)					\
		SYMROOT=$(SYMROOT)					\
		COPTS="-static"						\
		LIBSTUFF="-L$(SYMROOT)/../libstuff -lstuff"		\
		OFLAG="$(OFLAG)"					\
		RC_CFLAGS="$(RC_CFLAGS)"				\
		RC_ARCHS="$(RC_ARCHS)");				\
	    (cd $(OBJROOT)/optimized_obj; rm -f $(OBJS));		\
	    (cd $(OBJROOT)/otmp_obj; 					\
		cp $(OBJS) $(OBJROOT)/optimized_obj); 			\
	    rm -f $(OBJROOT)/static_obj;				\
	    ln -s ./optimized_obj $(OBJROOT)/static_obj;		\
	    rm -f $(OBJROOT)/optimized_obj/libmacho.ofileList;		\
	    cp dylib.ofileList $(OBJROOT)/optimized_obj/libmacho.ofileList; \
	fi

kld_ofiles: $(OBJROOT)/kld_obj $(OBJROOT)/ktmp_obj
	@if [ $(SRCROOT) = . ];						\
	then								\
	    (cd ktmp_obj;						\
		$(MAKE) -f ../Makefile libmacho_kld.a			\
		VPATH=.. 						\
		OFILE_DIR=.						\
		SRCROOT=..						\
		COPTS="-static -DRLD -DSA_RLD $(KERN)"			\
		LIBSTUFF="-L../../libstuff -lstuff_kld"			\
		OFLAG="$(OFLAG)"					\
		RC_CFLAGS="$(RC_CFLAGS)"				\
		RC_ARCHS="$(RC_ARCHS)");				\
	    (cd kld_obj; rm -f $(OBJS));				\
	    (cd ktmp_obj; cp $(OBJS) ../kld_obj); 			\
	else								\
	    (cd $(OBJROOT)/ktmp_obj;					\
		$(MAKE) -f $(SRCROOT)/Makefile libmacho_kld.a		\
		VPATH=$(SRCROOT)					\
		OFILE_DIR=$(OBJROOT)/ktmp_obj				\
		SRCROOT=$(SRCROOT)					\
		SYMROOT=$(SYMROOT)					\
		COPTS="-static -DRLD -DSA_RLD $(KERN)"			\
		LIBSTUFF="-L$(SYMROOT)/../libstuff -lstuff_kld"		\
		OFLAG="$(OFLAG)"					\
		RC_CFLAGS="$(RC_CFLAGS)"				\
		RC_ARCHS="$(RC_ARCHS)");				\
	    (cd $(OBJROOT)/kld_obj; rm -f $(OBJS));			\
	    (cd $(OBJROOT)/ktmp_obj; 					\
		cp $(OBJS) $(OBJROOT)/kld_obj); 			\
	fi

dynamic_ofiles: $(OBJROOT)/dynamic_obj $(OBJROOT)/dtmp_obj
	@if [ $(SRCROOT) = . ];						\
	then								\
	    (cd dtmp_obj;						\
		$(MAKE) -f ../Makefile libmacho.a libmacho$S.dylib	\
		INSTALL_NAME=/usr/lib/system/libmacho$S.dylib		\
		VPATH=.. 						\
		OFILE_DIR=.						\
		SRCROOT=..						\
		COPTS="-dynamic"					\
		LIBSTUFF="-L../../libstuff -lstuff"			\
		OFLAG="$(OFLAG)"					\
		RC_CFLAGS="$(RC_CFLAGS)"				\
		RC_ARCHS="$(RC_ARCHS)");				\
	    (cd dtmp_obj;						\
		$(MAKE) -f ../Makefile libmacho$S_debug.dylib		\
		INSTALL_NAME=/usr/lib/system/libmacho$S_debug.dylib	\
		VPATH=.. 						\
		OFILE_DIR=.						\
		SRCROOT=..						\
		COPTS="-dynamic"					\
		LIBSTUFF="-L../../libstuff -lstuff"			\
		OFLAG="$(OFLAG)"					\
		RC_CFLAGS="$(RC_CFLAGS)"				\
		RC_ARCHS="$(RC_ARCHS)");				\
	    (cd dynamic_obj; rm -f $(OBJS));				\
	    (cd dtmp_obj; cp $(OBJS) ../dynamic_obj); 			\
	    rm -f dynamic_obj/libmacho.ofileList;			\
	    cp dylib.ofileList dynamic_obj/libmacho.ofileList;		\
	else								\
	    (cd $(OBJROOT)/dtmp_obj;					\
		$(MAKE) -f $(SRCROOT)/Makefile libmacho.a libmacho$S.dylib \
		INSTALL_NAME=/usr/lib/system/libmacho$S.dylib		\
		VPATH=$(SRCROOT)					\
		OFILE_DIR=$(OBJROOT)/dtmp_obj				\
		SRCROOT=$(SRCROOT)					\
		SYMROOT=$(SYMROOT)					\
		LIBSTUFF="-L$(SYMROOT)/../libstuff -lstuff"		\
		COPTS="-dynamic"					\
		OFLAG="$(OFLAG)"					\
		RC_CFLAGS="$(RC_CFLAGS)"				\
		RC_ARCHS="$(RC_ARCHS)");				\
	    (cd $(OBJROOT)/dtmp_obj;					\
		$(MAKE) -f $(SRCROOT)/Makefile libmacho$S_debug.dylib	\
		INSTALL_NAME=/usr/lib/system/libmacho$S_debug.dylib	\
		VPATH=$(SRCROOT)					\
		OFILE_DIR=$(OBJROOT)/dtmp_obj				\
		SRCROOT=$(SRCROOT)					\
		SYMROOT=$(SYMROOT)					\
		LIBSTUFF="-L$(SYMROOT)/../libstuff -lstuff"		\
		COPTS="-dynamic"					\
		OFLAG="$(OFLAG)"					\
		RC_CFLAGS="$(RC_CFLAGS)"				\
		RC_ARCHS="$(RC_ARCHS)");				\
	    (cd $(OBJROOT)/dynamic_obj; rm -f $(OBJS));			\
	    (cd $(OBJROOT)/dtmp_obj;					\
		cp $(OBJS) $(OBJROOT)/dynamic_obj); 			\
	    rm -f $(OBJROOT)/dynamic_obj/libmacho.ofileList;		\
	    cp dylib.ofileList $(OBJROOT)/dynamic_obj/libmacho.ofileList; \
	fi

.c.o:
	$(CC) $(CFLAGS) $(RC_CFLAGS) $(COPTS) -c -o $(OFILE_DIR)/$*.o $<

clean:
	-rm -r -f $(OFILE_DIRS) $(OBJROOT)/static_obj \
		  $(OBJROOT)/dynamic_profile_obj

shlib_clean:
	-rm -r -f $(OBJROOT)/ptmp_obj $(OBJROOT)/otmp_obj $(OBJROOT)/dtmp_obj

libmacho.a libmacho_pg.a libmacho_static.a libmacho_kld.a: $(OBJS)
	$(LIBTOOL) -static -o $(SYMROOT)/$@ $(OBJS)

libmacho$S.dylib libmacho$S_profile.dylib libmacho$S_debug.dylib: $(OBJS)
	$(CC) $(CFLAGS) $(RC_CFLAGS) -dynamiclib  \
		-o $(SYMROOT)/$@ $(OBJS) \
		-install_name $(INSTALL_NAME) \
		-compatibility_version 1 \
		-current_version $(RC_ProjectSourceVersion) \
		$(DEPENDENT_LIBS)
	$(DSYMUTIL) $(SYMROOT)/$@

install:

lib_ofiles_install: all
	$(MKDIRS) $(DSTROOT)$(ARCHIVEDIR) $(DSTROOT)$(DYLIBDIR)
	@if [ $(SRCROOT) = . ];						\
	then								\
	    install -c -m 444 dtmp_obj/libmacho.a			\
		     $(DSTROOT)$(ARCHIVEDIR)/libmacho.a;		\
	    $(RANLIB) $(DSTROOT)$(ARCHIVEDIR)/libmacho.a;		\
	    (cd $(DSTROOT)$(ARCHIVEDIR) ;				\
	    rm -f libmacho_debug.a ; ln -s libmacho.a libmacho_debug.a); \
	    install -c -m 444 ptmp_obj/libmacho_pg.a			 \
		     $(DSTROOT)$(ARCHIVEDIR)/libmacho_profile.a;	\
	    $(RANLIB) $(DSTROOT)$(ARCHIVEDIR)/libmacho_profile.a;	\
	    install -c -m 444 otmp_obj/libmacho_static.a		\
		     $(DSTROOT)$(ARCHIVEDIR)/libmacho_static.a;		\
	    $(RANLIB) $(DSTROOT)$(ARCHIVEDIR)/libmacho_static.a;	\
	    install -c -m 555 dtmp_obj/libmacho$S.dylib			\
		     $(DSTROOT)$(DYLIBDIR)/libmacho$S.dylib;		\
	    $(STRIP) -S $(DSTROOT)$(DYLIBDIR)/libmacho$S.dylib;		\
	    install -c -m 555 dtmp_obj/libmacho$S_profile.dylib		\
		     $(DSTROOT)$(DYLIBDIR)/libmacho$S_profile.dylib;	\
	    $(STRIP) -S $(DSTROOT)$(DYLIBDIR)/libmacho$S_profile.dylib;	\
	    install -c -m 555 dtmp_obj/libmacho$S_debug.dylib		\
		     $(DSTROOT)$(DYLIBDIR)/libmacho$S_debug.dylib;	\
	    $(STRIP) -S $(DSTROOT)$(DYLIBDIR)/libmacho$S_debug.dylib;	\
	else								\

=== libavcodec/x86/Makefile ===
OBJS                                   += x86/constants.o               \
                                          x86/fmtconvert_init.o         \

# subsystems
OBJS-$(CONFIG_AC3DSP)                  += x86/ac3dsp_init.o
OBJS-$(CONFIG_AUDIODSP)                += x86/audiodsp_init.o
OBJS-$(CONFIG_BLOCKDSP)                += x86/blockdsp_init.o
OBJS-$(CONFIG_BSWAPDSP)                += x86/bswapdsp_init.o
OBJS-$(CONFIG_DCT)                     += x86/dct_init.o
OBJS-$(CONFIG_FDCTDSP)                 += x86/fdctdsp_init.o
OBJS-$(CONFIG_FFT)                     += x86/fft_init.o
OBJS-$(CONFIG_FLAC_DECODER)            += x86/flacdsp_init.o
OBJS-$(CONFIG_FLAC_ENCODER)            += x86/flacdsp_init.o
OBJS-$(CONFIG_H263DSP)                 += x86/h263dsp_init.o
OBJS-$(CONFIG_H264CHROMA)              += x86/h264chroma_init.o
OBJS-$(CONFIG_H264DSP)                 += x86/h264dsp_init.o
OBJS-$(CONFIG_H264PRED)                += x86/h264_intrapred_init.o
OBJS-$(CONFIG_H264QPEL)                += x86/h264_qpel.o
OBJS-$(CONFIG_HPELDSP)                 += x86/hpeldsp_init.o
OBJS-$(CONFIG_LLAUDDSP)                += x86/lossless_audiodsp_init.o
OBJS-$(CONFIG_LLVIDDSP)                += x86/lossless_videodsp_init.o
OBJS-$(CONFIG_HUFFYUVDSP)              += x86/huffyuvdsp_init.o
OBJS-$(CONFIG_HUFFYUVENCDSP)           += x86/huffyuvencdsp_mmx.o
OBJS-$(CONFIG_IDCTDSP)                 += x86/idctdsp_init.o
OBJS-$(CONFIG_LPC)                     += x86/lpc.o
OBJS-$(CONFIG_ME_CMP)                  += x86/me_cmp_init.o
OBJS-$(CONFIG_MPEGAUDIODSP)            += x86/mpegaudiodsp.o
OBJS-$(CONFIG_MPEGVIDEO)               += x86/mpegvideo.o              \
                                          x86/mpegvideodsp.o
OBJS-$(CONFIG_MPEGVIDEOENC)            += x86/mpegvideoenc.o           \
                                          x86/mpegvideoencdsp_init.o
OBJS-$(CONFIG_PIXBLOCKDSP)             += x86/pixblockdsp_init.o
OBJS-$(CONFIG_QPELDSP)                 += x86/qpeldsp_init.o
OBJS-$(CONFIG_VIDEODSP)                += x86/videodsp_init.o
OBJS-$(CONFIG_VP3DSP)                  += x86/vp3dsp_init.o
OBJS-$(CONFIG_XMM_CLOBBER_TEST)        += x86/w64xmmtest.o

# decoders/encoders
OBJS-$(CONFIG_AAC_DECODER)             += x86/sbrdsp_init.o
OBJS-$(CONFIG_APNG_DECODER)            += x86/pngdsp_init.o
OBJS-$(CONFIG_CAVS_DECODER)            += x86/cavsdsp.o
OBJS-$(CONFIG_DCA_DECODER)             += x86/dcadsp_init.o
OBJS-$(CONFIG_DNXHD_ENCODER)           += x86/dnxhdenc_init.o
OBJS-$(CONFIG_HEVC_DECODER)            += x86/hevcdsp_init.o
OBJS-$(CONFIG_MLP_DECODER)             += x86/mlpdsp_init.o
OBJS-$(CONFIG_MPEG4_DECODER)           += x86/xvididct_init.o
OBJS-$(CONFIG_PNG_DECODER)             += x86/pngdsp_init.o
OBJS-$(CONFIG_PRORES_DECODER)          += x86/proresdsp_init.o
OBJS-$(CONFIG_PRORES_LGPL_DECODER)     += x86/proresdsp_init.o
OBJS-$(CONFIG_RV30_DECODER)            += x86/rv34dsp_init.o
OBJS-$(CONFIG_RV40_DECODER)            += x86/rv34dsp_init.o            \
                                          x86/rv40dsp_init.o
OBJS-$(CONFIG_SVQ1_ENCODER)            += x86/svq1enc_init.o
OBJS-$(CONFIG_TRUEHD_DECODER)          += x86/mlpdsp_init.o
OBJS-$(CONFIG_TTA_DECODER)             += x86/ttadsp_init.o
OBJS-$(CONFIG_V210_DECODER)            += x86/v210-init.o
OBJS-$(CONFIG_V210_ENCODER)            += x86/v210enc_init.o
OBJS-$(CONFIG_VC1_DECODER)             += x86/vc1dsp_init.o
OBJS-$(CONFIG_VORBIS_DECODER)          += x86/vorbisdsp_init.o
OBJS-$(CONFIG_VP6_DECODER)             += x86/vp6dsp_init.o
OBJS-$(CONFIG_VP7_DECODER)             += x86/vp8dsp_init.o
OBJS-$(CONFIG_VP8_DECODER)             += x86/vp8dsp_init.o
OBJS-$(CONFIG_VP9_DECODER)             += x86/vp9dsp_init.o
OBJS-$(CONFIG_WEBP_DECODER)            += x86/vp8dsp_init.o


# GCC inline assembly optimizations
# subsystems
MMX-OBJS-$(CONFIG_DIRAC_DECODER)       += x86/dirac_dwt.o
MMX-OBJS-$(CONFIG_FDCTDSP)             += x86/fdct.o
MMX-OBJS-$(CONFIG_IDCTDSP)             += x86/simple_idct.o

# decoders/encoders
MMX-OBJS-$(CONFIG_MPEG4_DECODER)       += x86/xvididct_mmx.o            \
                                          x86/xvididct_sse2.o
MMX-OBJS-$(CONFIG_SNOW_DECODER)        += x86/snowdsp.o
MMX-OBJS-$(CONFIG_SNOW_ENCODER)        += x86/snowdsp.o
MMX-OBJS-$(CONFIG_VC1_DECODER)         += x86/vc1dsp_mmx.o


# YASM optimizations
YASM-OBJS                              += x86/deinterlace.o             \
                                          x86/fmtconvert.o              \

# subsystems
YASM-OBJS-$(CONFIG_AC3DSP)             += x86/ac3dsp.o
YASM-OBJS-$(CONFIG_AUDIODSP)           += x86/audiodsp.o
YASM-OBJS-$(CONFIG_BLOCKDSP)           += x86/blockdsp.o
YASM-OBJS-$(CONFIG_BSWAPDSP)           += x86/bswapdsp.o
YASM-OBJS-$(CONFIG_DCT)                += x86/dct32.o
YASM-OBJS-$(CONFIG_DIRAC_DECODER)      += x86/diracdsp_mmx.o x86/diracdsp_yasm.o\
                                          x86/dwt_yasm.o
YASM-OBJS-$(CONFIG_DNXHD_ENCODER)      += x86/dnxhdenc.o
YASM-OBJS-$(CONFIG_FFT)                += x86/fft.o
YASM-OBJS-$(CONFIG_FLAC_DECODER)       += x86/flacdsp.o
ifdef CONFIG_GPL
YASM-OBJS-$(CONFIG_FLAC_ENCODER)       += x86/flac_dsp_gpl.o
endif
YASM-OBJS-$(CONFIG_H263DSP)            += x86/h263_loopfilter.o
YASM-OBJS-$(CONFIG_H264CHROMA)         += x86/h264_chromamc.o           \
                                          x86/h264_chromamc_10bit.o
YASM-OBJS-$(CONFIG_H264DSP)            += x86/h264_deblock.o            \
                                          x86/h264_deblock_10bit.o      \
                                          x86/h264_idct.o               \
                                          x86/h264_idct_10bit.o         \
                                          x86/h264_weight.o             \
                                          x86/h264_weight_10bit.o
YASM-OBJS-$(CONFIG_H264PRED)           += x86/h264_intrapred.o          \
                                          x86/h264_intrapred_10bit.o
YASM-OBJS-$(CONFIG_H264QPEL)           += x86/h264_qpel_8bit.o          \
                                          x86/h264_qpel_10bit.o         \
                                          x86/fpel.o                    \
                                          x86/qpel.o
YASM-OBJS-$(CONFIG_HPELDSP)            += x86/fpel.o                    \
                                          x86/hpeldsp.o
YASM-OBJS-$(CONFIG_HUFFYUVDSP)         += x86/huffyuvdsp.o
YASM-OBJS-$(CONFIG_IDCTDSP)            += x86/idctdsp.o
YASM-OBJS-$(CONFIG_LLAUDDSP)           += x86/lossless_audiodsp.o
YASM-OBJS-$(CONFIG_LLVIDDSP)           += x86/lossless_videodsp.o
YASM-OBJS-$(CONFIG_ME_CMP)             += x86/me_cmp.o
YASM-OBJS-$(CONFIG_MPEGAUDIODSP)       += x86/imdct36.o
YASM-OBJS-$(CONFIG_MPEGVIDEOENC)       += x86/mpegvideoencdsp.o
YASM-OBJS-$(CONFIG_PIXBLOCKDSP)        += x86/pixblockdsp.o
YASM-OBJS-$(CONFIG_QPELDSP)            += x86/qpeldsp.o                 \
                                          x86/fpel.o                    \
                                          x86/qpel.o
YASM-OBJS-$(CONFIG_VIDEODSP)           += x86/videodsp.o
YASM-OBJS-$(CONFIG_VP3DSP)             += x86/vp3dsp.o

# decoders/encoders
YASM-OBJS-$(CONFIG_AAC_DECODER)        += x86/sbrdsp.o
YASM-OBJS-$(CONFIG_APNG_DECODER)       += x86/pngdsp.o
YASM-OBJS-$(CONFIG_DCA_DECODER)        += x86/dcadsp.o
YASM-OBJS-$(CONFIG_HEVC_DECODER)       += x86/hevc_mc.o                 \
                                          x86/hevc_deblock.o            \
                                          x86/hevc_idct.o               \
                                          x86/hevc_res_add.o
YASM-OBJS-$(CONFIG_MLP_DECODER)        += x86/mlpdsp.o
YASM-OBJS-$(CONFIG_PNG_DECODER)        += x86/pngdsp.o
YASM-OBJS-$(CONFIG_PRORES_DECODER)     += x86/proresdsp.o
YASM-OBJS-$(CONFIG_PRORES_LGPL_DECODER) += x86/proresdsp.o
YASM-OBJS-$(CONFIG_RV30_DECODER)       += x86/rv34dsp.o
YASM-OBJS-$(CONFIG_RV40_DECODER)       += x86/rv34dsp.o                 \
                                          x86/rv40dsp.o
YASM-OBJS-$(CONFIG_SVQ1_ENCODER)       += x86/svq1enc.o
YASM-OBJS-$(CONFIG_TRUEHD_DECODER)     += x86/mlpdsp.o
YASM-OBJS-$(CONFIG_TTA_DECODER)        += x86/ttadsp.o
YASM-OBJS-$(CONFIG_V210_ENCODER)       += x86/v210enc.o
YASM-OBJS-$(CONFIG_V210_DECODER)       += x86/v210.o
YASM-OBJS-$(CONFIG_VC1_DECODER)        += x86/vc1dsp.o
YASM-OBJS-$(CONFIG_VORBIS_DECODER)     += x86/vorbisdsp.o
YASM-OBJS-$(CONFIG_VP6_DECODER)        += x86/vp6dsp.o
YASM-OBJS-$(CONFIG_VP7_DECODER)        += x86/vp8dsp.o                  \
                                          x86/vp8dsp_loopfilter.o
YASM-OBJS-$(CONFIG_VP8_DECODER)        += x86/vp8dsp.o                  \
                                          x86/vp8dsp_loopfilter.o
YASM-OBJS-$(CONFIG_VP9_DECODER)        += x86/vp9intrapred.o            \
                                          x86/vp9itxfm.o                \
                                          x86/vp9lpf.o                  \
                                          x86/vp9mc.o
YASM-OBJS-$(CONFIG_WEBP_DECODER)       += x86/vp8dsp.o

=== unit-tests/test-cases/absolute-symbol/Makefile ===
##
# Copyright (c) 2007 Apple Inc. All rights reserved.
#
# @APPLE_LICENSE_HEADER_START@
#
# This file contains Original Code and/or Modifications of Original Code
# as defined in and that are subject to the Apple Public Source License
# Version 2.0 (the 'License'). You may not use this file except in
# compliance with the License. Please obtain a copy of the License at
# http://www.opensource.apple.com/apsl/ and read it before using this
# file.
#
# The Original Code and all software distributed under the License are
# distributed on an 'AS IS' basis, WITHOUT WARRANTY OF ANY KIND, EITHER
# EXPRESS OR IMPLIED, AND APPLE HEREBY DISCLAIMS ALL SUCH WARRANTIES,
# INCLUDING WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE, QUIET ENJOYMENT OR NON-INFRINGEMENT.
# Please see the License for the specific language governing rights and
# limitations under the License.
#
# @APPLE_LICENSE_HEADER_END@
##
TESTROOT = ../..
include ${TESTROOT}/include/common.makefile

#
# Validate linker processing of absolute symbols
#

all:
	${CC} ${CCFLAGS} main.c -static -c
	${CC} ${CCFLAGS} abs.s -static -c
	${LD} -arch ${ARCH} -static main.o abs.o -e _main -o main -new_linker -macosx_version_min 10.6
	${LD} -arch ${ARCH} -static -r main.o abs.o -o all.o -new_linker 
	nm -m all.o | grep _myAbs | grep absolute | ${FAIL_IF_EMPTY}
	${LD} -arch ${ARCH} -static all.o -e _main -o main2 -new_linker -macosx_version_min 10.6
	${PASS_IFF_GOOD_MACHO} main2
	
clean:
	rm -rf main.o abs.o all.o main main2

=== unit-tests/test-cases/all_image_infos-paths/Makefile ===
##
# Copyright (c) 2010 Apple Inc. All rights reserved.
#
# @APPLE_LICENSE_HEADER_START@
# 
# This file contains Original Code and/or Modifications of Original Code
# as defined in and that are subject to the Apple Public Source License
# Version 2.0 (the 'License'). You may not use this file except in
# compliance with the License. Please obtain a copy of the License at
# http://www.opensource.apple.com/apsl/ and read it before using this
# file.
# 
# The Original Code and all software distributed under the License are
# distributed on an 'AS IS' basis, WITHOUT WARRANTY OF ANY KIND, EITHER
# EXPRESS OR IMPLIED, AND APPLE HEREBY DISCLAIMS ALL SUCH WARRANTIES,
# INCLUDING WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE, QUIET ENJOYMENT OR NON-INFRINGEMENT.
# Please see the License for the specific language governing rights and
# limitations under the License.
# 
# @APPLE_LICENSE_HEADER_END@
##
TESTROOT = ../..
include ${TESTROOT}/include/common.makefile

all-check: all check

check:
	./main `pwd`/test.bundle
	./main `pwd`/test.dylib

all: 
	${CC} ${CCFLAGS} -bundle foo.c -o test.bundle
	${CC} ${CCFLAGS} -dynamiclib foo.c -o test.dylib
	${CC} ${CCFLAGS} -I${TESTROOT}/include -o main main.c


clean:
	${RM} ${RMFLAGS} *~ main test.bundle test.dylib

=== unit-tests/test-cases/archive-image_info/Makefile ===
##
# Copyright (c) 2010 Apple Inc. All rights reserved.
#
# @APPLE_LICENSE_HEADER_START@
# 
# This file contains Original Code and/or Modifications of Original Code
# as defined in and that are subject to the Apple Public Source License
# Version 2.0 (the 'License'). You may not use this file except in
# compliance with the License. Please obtain a copy of the License at
# http://www.opensource.apple.com/apsl/ and read it before using this
# file.
# 
# The Original Code and all software distributed under the License are
# distributed on an 'AS IS' basis, WITHOUT WARRANTY OF ANY KIND, EITHER
# EXPRESS OR IMPLIED, AND APPLE HEREBY DISCLAIMS ALL SUCH WARRANTIES,
# INCLUDING WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE, QUIET ENJOYMENT OR NON-INFRINGEMENT.
# Please see the License for the specific language governing rights and
# limitations under the License.
# 
# @APPLE_LICENSE_HEADER_END@
##
TESTROOT = ../..
include ${TESTROOT}/include/common.makefile

#
# Test that objc files loaded from archives set image info
#

IMAGE_INFO = "__image_info"

ifeq ($(ARCH),x86_64)
	IMAGE_INFO = "__objc_imageinfo"
endif
ifeq (${FILEARCH},arm)
	IMAGE_INFO = "__objc_imageinfo"
endif


run: all

all:
	${CC} ${CCFLAGS} main.m -c -o main.o
	libtool -static main.o -o libmain.a
	${CC} ${CCFLAGS} libmain.a -o main -framework Foundation
	size -l main | grep ${IMAGE_INFO} | ${FAIL_IF_EMPTY}
	${PASS_IFF_GOOD_MACHO} main

clean:
	rm -rf main.o libmain.a main

=== unit-tests/test-cases/coreSymbolication-notify/Makefile ===
##
# Copyright (c) 2009 Apple, Inc. All rights reserved.
#
# @APPLE_LICENSE_HEADER_START@
# 
# This file contains Original Code and/or Modifications of Original Code
# as defined in and that are subject to the Apple Public Source License
# Version 2.0 (the 'License'). You may not use this file except in
# compliance with the License. Please obtain a copy of the License at
# http://www.opensource.apple.com/apsl/ and read it before using this
# file.
# 
# The Original Code and all software distributed under the License are
# distributed on an 'AS IS' basis, WITHOUT WARRANTY OF ANY KIND, EITHER
# EXPRESS OR IMPLIED, AND APPLE HEREBY DISCLAIMS ALL SUCH WARRANTIES,
# INCLUDING WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE, QUIET ENJOYMENT OR NON-INFRINGEMENT.
# Please see the License for the specific language governing rights and
# limitations under the License.
# 
# @APPLE_LICENSE_HEADER_END@
##
TESTROOT = ../..
include ${TESTROOT}/include/common.makefile

SHELL = bash # use bash shell so we can redirect just stderr

all-check: all check

check:
	export DYLD_PRINT_CS_NOTIFICATIONS=1 && ./main  2> notifications.log
	grep " load" notifications.log | grep foo.bundle | wc -l | grep 1  >/dev/null
	grep " load" notifications.log | grep bar.dylib | wc -l | grep 1 >/dev/null
	grep " unload" notifications.log | grep foo.bundle | wc -l | grep 1  >/dev/null
	grep " unload" notifications.log | grep bar.dylib | wc -l | grep 1 >/dev/null
	echo "PASS coreSymbolication-notify"

all: main foo.bundle 

main: main.c
	${CC} ${CCFLAGS} -I${TESTROOT}/include -o main main.c 

foo.bundle: foo.c libbar.dylib 
	${CC} ${CCFLAGS} -bundle -I${TESTROOT}/include -o foo.bundle foo.c libbar.dylib  

libbar.dylib : bar.c
	${CC} ${CCFLAGS} -dynamiclib -I${TESTROOT}/include -o libbar.dylib  bar.c 
	

clean:
	${RM} ${RMFLAGS} *~ main foo.bundle libbar.dylib notifications.log

=== unit-tests/test-cases/dead_strip-archive-weak-override/Makefile ===
##
# Copyright (c) 2010 Apple Inc. All rights reserved.
#
# @APPLE_LICENSE_HEADER_START@
# 
# This file contains Original Code and/or Modifications of Original Code
# as defined in and that are subject to the Apple Public Source License
# Version 2.0 (the 'License'). You may not use this file except in
# compliance with the License. Please obtain a copy of the License at
# http://www.opensource.apple.com/apsl/ and read it before using this
# file.
# 
# The Original Code and all software distributed under the License are
# distributed on an 'AS IS' basis, WITHOUT WARRANTY OF ANY KIND, EITHER
# EXPRESS OR IMPLIED, AND APPLE HEREBY DISCLAIMS ALL SUCH WARRANTIES,
# INCLUDING WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE, QUIET ENJOYMENT OR NON-INFRINGEMENT.
# Please see the License for the specific language governing rights and
# limitations under the License.
# 
# @APPLE_LICENSE_HEADER_END@
##
TESTROOT = ../..
include ${TESTROOT}/include/common.makefile

#
# Tests that a non-weak symbol in an archive cleanly overrides
# a weak symbol in a .o file with dead code stripping
#

run: all

all:
	${CC} ${CCFLAGS} foo.c -c -o foo.o
	${CC} ${CCFLAGS} bar.c -c -o bar.o
	libtool -static foo.o bar.o -o libfoobar.a
	${CC} ${CCFLAGS}  main.c libfoobar.a -dead_strip -o main
	nm main | grep _bar | ${FAIL_IF_EMPTY}
	${PASS_IFF_GOOD_MACHO} main
	

clean:
	rm -rf main foo.o bar.o libfoobar.a

=== unit-tests/test-cases/dlopen-executable/Makefile ===
##
# Copyright (c) 2008 Apple Inc. All rights reserved.
#
# @APPLE_LICENSE_HEADER_START@
# 
# This file contains Original Code and/or Modifications of Original Code
# as defined in and that are subject to the Apple Public Source License
# Version 2.0 (the 'License'). You may not use this file except in
# compliance with the License. Please obtain a copy of the License at
# http://www.opensource.apple.com/apsl/ and read it before using this
# file.
# 
# The Original Code and all software distributed under the License are
# distributed on an 'AS IS' basis, WITHOUT WARRANTY OF ANY KIND, EITHER
# EXPRESS OR IMPLIED, AND APPLE HEREBY DISCLAIMS ALL SUCH WARRANTIES,
# INCLUDING WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE, QUIET ENJOYMENT OR NON-INFRINGEMENT.
# Please see the License for the specific language governing rights and
# limitations under the License.
# 
# @APPLE_LICENSE_HEADER_END@
##
TESTROOT = ../..
include ${TESTROOT}/include/common.makefile

all-check: all check

check:
	./main

all: main foo.exe foo.pie

main : main.c
	${CC} ${CCFLAGS} -I${TESTROOT}/include -o main main.c


foo.exe : foo.c
	${CC} ${CCFLAGS} foo.c -o foo.exe -Wl,-no_pie

foo.pie : foo.c
	${CC} ${CCFLAGS} foo.c -o foo.pie -Wl,-pie



clean:
	${RM} ${RMFLAGS} *~ main foo.exe foo.pie

=== unit-tests/test-cases/dlopen_preflight-cycle/Makefile ===
##
# Copyright (c) 2011 Apple Inc. All rights reserved.
#
# @APPLE_LICENSE_HEADER_START@
# 
# This file contains Original Code and/or Modifications of Original Code
# as defined in and that are subject to the Apple Public Source License
# Version 2.0 (the 'License'). You may not use this file except in
# compliance with the License. Please obtain a copy of the License at
# http://www.opensource.apple.com/apsl/ and read it before using this
# file.
# 
# The Original Code and all software distributed under the License are
# distributed on an 'AS IS' basis, WITHOUT WARRANTY OF ANY KIND, EITHER
# EXPRESS OR IMPLIED, AND APPLE HEREBY DISCLAIMS ALL SUCH WARRANTIES,
# INCLUDING WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE, QUIET ENJOYMENT OR NON-INFRINGEMENT.
# Please see the License for the specific language governing rights and
# limitations under the License.
# 
# @APPLE_LICENSE_HEADER_END@
##
TESTROOT = ../..
include ${TESTROOT}/include/common.makefile

all-check: all check

check:
	./main

all:
	${CC} ${CCFLAGS} -I${TESTROOT}/include -o main main.c 
	${CC} ${CCFLAGS} -dynamiclib -I${TESTROOT}/include -o libbar.dylib bar.c 
	${CC} ${CCFLAGS} -dynamiclib -I${TESTROOT}/include -o libbaz.dylib baz.c -Wl,-upward_library,libbar.dylib
	${CC} ${CCFLAGS} -dynamiclib -I${TESTROOT}/include -o libbar.dylib bar.c  libbaz.dylib
	${CC} ${CCFLAGS} -dynamiclib -I${TESTROOT}/include -o libfoo.dylib foo.c libbar.dylib  


clean:
	${RM} ${RMFLAGS} *~ main libbaz.dylib libbar.dylib libfoo.dylib

=== unit-tests/test-cases/dylib-upward/Makefile ===
##
# Copyright (c) 2010 Apple Inc. All rights reserved.
#
# @APPLE_LICENSE_HEADER_START@
# 
# This file contains Original Code and/or Modifications of Original Code
# as defined in and that are subject to the Apple Public Source License
# Version 2.0 (the 'License'). You may not use this file except in
# compliance with the License. Please obtain a copy of the License at
# http://www.opensource.apple.com/apsl/ and read it before using this
# file.
# 
# The Original Code and all software distributed under the License are
# distributed on an 'AS IS' basis, WITHOUT WARRANTY OF ANY KIND, EITHER
# EXPRESS OR IMPLIED, AND APPLE HEREBY DISCLAIMS ALL SUCH WARRANTIES,
# INCLUDING WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE, QUIET ENJOYMENT OR NON-INFRINGEMENT.
# Please see the License for the specific language governing rights and
# limitations under the License.
# 
# @APPLE_LICENSE_HEADER_END@
##
TESTROOT = ../..
include ${TESTROOT}/include/common.makefile

#  Verify upward dylib options work

run: all

all:
	${CC}  ${CCFLAGS} bar.c -dynamiclib -o libbar.dylib
	${CC}  ${CCFLAGS} foo.c -dynamiclib -o libfoo.dylib -Wl,-upward-lbar -L.
	otool -lv libfoo.dylib | grep -A2 LC_LOAD_UPWARD_DYLIB | grep libbar.dylib | ${FAIL_IF_EMPTY}
	${CC}  ${CCFLAGS} foo.c -dynamiclib -o libfoo.dylib -Wl,-upward_library,libbar.dylib
	otool -lv libfoo.dylib | grep -A2 LC_LOAD_UPWARD_DYLIB | grep libbar.dylib | ${FAIL_IF_EMPTY}
	mkdir -p Bar.framework
	${CC}  ${CCFLAGS} bar.c -dynamiclib -o Bar.framework/Bar
	${CC}  ${CCFLAGS} foo.c -dynamiclib -o libfoo.dylib -Wl,-upward_framework,Bar -F.
	otool -lv libfoo.dylib | grep -A2 LC_LOAD_UPWARD_DYLIB | grep Bar.framework/Bar | ${FAIL_IF_EMPTY}
	${PASS_IFF_GOOD_MACHO} libfoo.dylib

clean:
	rm -rf libfoo.dylib libbar.dylib Bar.framework

=== unit-tests/test-cases/efi-basic/Makefile ===
##
# Copyright (c) 2005-2010 Apple Computer, Inc. All rights reserved.
#
# @APPLE_LICENSE_HEADER_START@
# 
# This file contains Original Code and/or Modifications of Original Code
# as defined in and that are subject to the Apple Public Source License
# Version 2.0 (the 'License'). You may not use this file except in
# compliance with the License. Please obtain a copy of the License at
# http://www.opensource.apple.com/apsl/ and read it before using this
# file.
# 
# The Original Code and all software distributed under the License are
# distributed on an 'AS IS' basis, WITHOUT WARRANTY OF ANY KIND, EITHER
# EXPRESS OR IMPLIED, AND APPLE HEREBY DISCLAIMS ALL SUCH WARRANTIES,
# INCLUDING WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE, QUIET ENJOYMENT OR NON-INFRINGEMENT.
# Please see the License for the specific language governing rights and
# limitations under the License.
# 
# @APPLE_LICENSE_HEADER_END@
##

#
# This test verifies ld -preload support required for mtoc
# to create a PE/COFF image that will work with EFI.
# The mach-o file and pecoff files are parsed with the 
# test.py script to make sure the images look OK.
#
# Note: We should fail with an error condition if any of the all:
#  commands fail. 
# Note: Currently does not support ARM due to no ARM support in 
#  /usr/local/efi/bin/objdump
#
TESTROOT = ../..
include ${TESTROOT}/include/common.makefile

LOCAL_CC_FLAGS = -g -Os -fshort-wchar -fno-strict-aliasing -Wall -Werror -Wno-missing-braces 

#ARCH=x86_64
#ARCH=i386


ifeq (${ARCH},x86_64)
  OBJ_DUMP_ARCH=efi-app-x86-64
  LD_ARG=
else
  OBJ_DUMP_ARCH=efi-app-ia32
  LD_ARG=-read_only_relocs suppress
endif


#
# Compile the file
#

all: 
	${CC} -arch $(ARCH)  -o LibTest1.obj  $(LOCAL_CC_FLAGS) -c LibTest.c 
	libtool -static -o LibTest1.lib LibTest1.obj
	${CC} -arch $(ARCH)  -o MtocTest1.obj $(LOCAL_CC_FLAGS) -c MtocTest.c 
	libtool -static -o MtocTest1.lib MtocTest1.obj	
	${LD} -arch $(ARCH)  -o MtocTest1.macho  -u __ModuleEntryPoint -e __ModuleEntryPoint $(LD_ARG) -preload -segalign 0x20 -pie -seg1addr 0x240 -map MtocTest1.map LibTest1.lib MtocTest1.lib
	/usr/local/efi/bin/mtoc -subsystem application -align 0x20 -d MtocTest1.macho MtocTest1.macho MtocTest1.pecoff
	otool -rR MtocTest1.macho > otool-reloc.log
	otool -l MtocTest1.macho > otool-load.log 
	/usr/local/efi/bin/objdump -b $(OBJ_DUMP_ARCH) -x MtocTest1.pecoff > objdump-raw.log
	${PASS_IFF_SUCCESS} ./mtoctest.py --arch $(ARCH)
  
  
clean: 
	rm -rf *.pecoff *.macho *.obj *.log *.lib *.map

=== debian/changelog ===
virtuoso-opensource (7.2) unstable; urgency=low

  * Bump version number 

 -- OpenLink Virtuoso Maintainer <vos.admin@openlinksw.com>  Mon, 02 Feb 2015 13:44:00 +0100

virtuoso-opensource (7.1) unstable; urgency=low

  * Misc minor packaging fixes

 -- OpenLink Virtuoso Maintainer <vos.admin@openlinksw.com>  Mon, 04 Aug 2014 17:44:00 +0100

virtuoso-opensource (6.1.7) unstable; urgency=low

  * New release

 -- OpenLink Virtuoso Maintainer <vos.admin@openlinksw.com>  Wed, 22 Jul 2013 17:00:00 +0100

virtuoso-opensource (6.1.6) unstable; urgency=low

  * New release

 -- OpenLink Virtuoso Maintainer <vos.admin@openlinksw.com>  Wed, 01 Aug 2012 17:00:00 +0100

virtuoso-opensource (6.1.5) unstable; urgency=low

  * New release

 -- OpenLink Virtuoso Maintainer <vos.admin@openlinksw.com>  Thu, 15 Mar 2012 17:16:24 +0100

virtuoso-opensource (6.1.4) unstable; urgency=low

  * New release

 -- OpenLink Virtuoso Maintainer <vos.admin@openlinksw.com>  Fri, 28 Oct 2011 22:01:10 +0100

virtuoso-opensource (6.1.3) unstable; urgency=low

  * New release

 -- OpenLink Virtuoso Maintainer <vos.admin@openlinksw.com>  Fri, 25 Mar 2011 22:32:29 +0100

virtuoso-opensource (6.1.2) unstable; urgency=low

  * New release

 -- OpenLink Virtuoso Maintainer <vos.admin@openlinksw.com>  Fri, 09 Jul 2010 17:37:40 +0100

=== debian/control ===
Source: virtuoso-opensource
Section: database
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Obey Arthur Liu <arthur@milliways.fr>
Standards-Version: 3.9.2
Homepage: http://virtuoso.openlinksw.com/wiki/main/Main/
Vcs-Browser: https://alioth.debian.org/plugins/scmgit/cgi-bin/gitweb.cgi?p=pkg-virtuoso/pkg-virtuoso.git
Vcs-Git: git://scm.alioth.debian.org/git/pkg-virtuoso/pkg-virtuoso.git
Build-Depends: cdbs, debhelper (>= 7), quilt, autotools-dev, autoconf (>=2.57),
 automake (>=1.10), libtool (>=1.5.16), flex (>=2.5.4), bison (>=1.35),
 gperf (>=2.7.2), gawk (>=3.1.1), m4 (>=1.4.1), make (>=3.79.1),
 libssl-dev (>=0.9.7), libreadline-dev, zlib1g-dev, libxml2-dev, libpcre3-dev,
 libldap2-dev, net-tools,
 mono-gmcs (>= 1.0) [i386 kfreebsd-i386 powerpc amd64 kfreebsd-amd64 ia64 arm armeb armel sparc s390],
 cli-common-dev (>= 0.4.4) [i386 kfreebsd-i386 powerpc amd64 kfreebsd-amd64 ia64 arm armeb armel sparc s390],
 libmono-corlib2.0-cil (>= 1.2.6) [i386 kfreebsd-i386 powerpc amd64 kfreebsd-amd64 ia64 arm armeb armel sparc s390],
 libmono-system-data2.0-cil (>= 1.0) [i386 kfreebsd-i386 powerpc amd64 kfreebsd-amd64 ia64 arm armeb armel sparc s390],
 libmono-system2.0-cil (>= 1.2.6) [i386 kfreebsd-i386 powerpc amd64 kfreebsd-amd64 ia64 arm armeb armel sparc s390],
 docbook2x, po-debconf, libmagickwand-dev, java6-sdk, java7-jdk

Package: virtuoso-nepomuk
Architecture: all
Depends: ${misc:Depends}, virtuoso-minimal
Description: transitional package for virtuoso-minimal
 Virtuoso is a high-performance object-relational SQL database. As a
 database, it provides transactions, a smart SQL compiler, powerful
 stored-procedure language with optional Java and .Net server-side
 hosting, hot backup, SQL-99 support and more. It has all major
 data-access interfaces, such as ODBC, JDBC, ADO .Net and OLE/DB.
 .
 OpenLink Virtuoso supports SPARQL embedded into SQL for querying RDF
 data stored in Virtuoso's database. SPARQL benefits from low-level
 support in the engine itself, such as SPARQL-aware type-casting rules
 and a dedicated IRI data type.
 .
 This is a dummy binary package to ensure the safe transition to the
 virtuoso-minimal package.

Package: virtuoso-opensource
Architecture: all
Depends: virtuoso-opensource-7, ${misc:Depends}
Recommends: virtuoso-server, virtuoso-vsp-startpage, virtuoso-vad-conductor
Suggests: virtuoso-vad-doc, virtuoso-vad-demo, virtuoso-vad-tutorial,
 virtuoso-vad-rdfmappers, virtuoso-vad-sparqldemo, virtuoso-vad-syncml,
 virtuoso-vad-bpel, virtuoso-vad-isparql, virtuoso-vad-ods
Description: high-performance database
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999
 support, a powerful stored-procedure language supporting server-side
 Java or .NET, and more. It supports all major data-access interfaces,
 including ODBC, JDBC, ADO.NET, and OLE/DB.
 .
 Virtuoso supports SPARQL embedded into SQL for querying RDF data stored
 in its database. SPARQL benefits from low-level support in the engine
 itself, such as SPARQL-aware type-casting rules and a dedicated IRI data
 type.
 .
 Install this metapackage for the full suite of packages that make up
 Virtuoso OSE ("Open-Source Edition").

Package: virtuoso-server
Architecture: all
Depends: virtuoso-opensource-7, ${misc:Depends}
Description: high-performance database - server dependency package
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999
 support, a powerful stored-procedure language supporting server-side
 Java or .NET, and more. It supports all major data-access interfaces,
 including ODBC, JDBC, ADO.NET, and OLE/DB.
 .
 This is an empty package depending on the current "best" version of the
 Virtuoso server framework, as recommended by the maintainers (currently
 virtuoso-opensource-7). Install this package if in doubt about
 which version you need.

Package: virtuoso-minimal
Architecture: all
Depends: virtuoso-opensource-7-bin, libvirtodbc0, ${misc:Depends}
Replaces: virtuoso-nepomuk (<< 6.1.2+dfsg1-1ubuntu1)
Breaks: virtuoso-nepomuk (<< 6.1.2+dfsg1-1ubuntu1)
Description: high-performance database - core dependency package
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999
 support, a powerful stored-procedure language supporting server-side
 Java or .NET, and more. It supports all major data-access interfaces,
 including ODBC, JDBC, ADO.NET, and OLE/DB.
 .
 This is an empty package depending on the current "best" version of the
 core Virtuoso binaries, as recommended by the maintainers (currently
 virtuoso-opensource-7-bin). This should usually be depended on by
 all packages which use Virtuoso as an embedded database.

Package: virtuoso-opensource-7
Architecture: any
Depends: virtuoso-opensource-7-common (= ${binary:Version}),
 virtuoso-opensource-7-bin (= ${binary:Version}),
 libvirtodbc0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Breaks: virtuoso-opensource-6.0 (<< 6.1.2+dfsg1-1ubuntu1)
Description: high-performance database - support files
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999
 support, a powerful stored-procedure language supporting server-side
 Java or .NET, and more. It supports all major data-access interfaces,
 including ODBC, JDBC, ADO.NET, and OLE/DB.
 .
 This package provides the Virtuoso server framework.

Package: virtuoso-opensource-7-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: virtuoso-opensource-6.0-common
Replaces: virtuoso-opensource-6.0-common
Description: high-performance database - common files
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999
 support, a powerful stored-procedure language supporting server-side
 Java or .NET, and more. It supports all major data-access interfaces,
 including ODBC, JDBC, ADO.NET, and OLE/DB.
 .
 This package contains files common to all versions of Virtuoso.

Package: virtuoso-opensource-7-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: virtuoso-opensource-6.0-bin
Replaces: virtuoso-opensource-6.0-bin
Description: high-performance database - binaries
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999
 support, a powerful stored-procedure language supporting server-side
 Java or .NET, and more. It supports all major data-access interfaces,
 including ODBC, JDBC, ADO.NET, and OLE/DB.
 .
 This package contains the core Virtuoso binaries.

Package: virtuoso-vsp-startpage
Architecture: all
Depends: ${misc:Depends}, virtuoso-opensource
Description: high-performance database - web interface files
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999
 support, a powerful stored-procedure language supporting server-side
 Java or .NET, and more. It supports all major data-access interfaces,
 including ODBC, JDBC, ADO.NET, and OLE/DB.
 .
 This package contains the files for Virtuoso's web interface.

Package: virtuoso-vad-conductor
Architecture: all
Depends: ${misc:Depends}, virtuoso-opensource
Description: high-performance database - conductor module
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999
 support, a powerful stored-procedure language supporting server-side
 Java or .NET, and more. It supports all major data-access interfaces,
 including ODBC, JDBC, ADO.NET, and OLE/DB.
 .
 This package contains the Virtuoso Application Distribution module
 for the administration interface.

Package: virtuoso-vad-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, virtuoso-opensource
Description: high-performance database - documentation module
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999
 support, a powerful stored-procedure language supporting server-side
 Java or .NET, and more. It supports all major data-access interfaces,
 including ODBC, JDBC, ADO.NET, and OLE/DB.
 .
 This package contains the Virtuoso Application Distribution module
 for the documentation.

Package: virtuoso-vad-demo
Section: doc
Architecture: all
Depends: ${misc:Depends}, virtuoso-opensource
Description: high-performance database - demo module
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999
 support, a powerful stored-procedure language supporting server-side
 Java or .NET, and more. It supports all major data-access interfaces,
 including ODBC, JDBC, ADO.NET, and OLE/DB.
 .
 This package contains the Virtuoso Application Distribution module
 for the demonstration application.

Package: virtuoso-vad-tutorial
Section: doc
Architecture: all
Depends: ${misc:Depends}, virtuoso-opensource
Description: high-performance database - tutorial module
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999
 support, a powerful stored-procedure language supporting server-side
 Java or .NET, and more. It supports all major data-access interfaces,
 including ODBC, JDBC, ADO.NET, and OLE/DB.
 .
 This package contains the Virtuoso Application Distribution module
 for the tutorial application.

Package: virtuoso-vad-rdfmappers
Architecture: all
Depends: ${misc:Depends}, virtuoso-opensource
Description: high-performance database - RDF mappers module
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999
 support, a powerful stored-procedure language supporting server-side
 Java or .NET, and more. It supports all major data-access interfaces,
 including ODBC, JDBC, ADO.NET, and OLE/DB.
 .
 This package contains the Virtuoso Application Distribution module
 for the RDF mappers application.

Package: virtuoso-vad-sparqldemo
Architecture: all
Depends: ${misc:Depends}, virtuoso-opensource
Description: high-performance database - SPARQL demo module
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999
 support, a powerful stored-procedure language supporting server-side
 Java or .NET, and more. It supports all major data-access interfaces,
 including ODBC, JDBC, ADO.NET, and OLE/DB.
 .
 This package contains the Virtuoso Application Distribution module
 for the SPARQL demo application.

Package: virtuoso-vad-syncml
Architecture: all
Depends: ${misc:Depends}, virtuoso-opensource
Description: high-performance database - SyncML module
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999
 support, a powerful stored-procedure language supporting server-side
 Java or .NET, and more. It supports all major data-access interfaces,
 including ODBC, JDBC, ADO.NET, and OLE/DB.
 .
 This package contains the Virtuoso Application Distribution module
 for Synchronization Markup Language support.

Package: virtuoso-vad-bpel
Architecture: all
Depends: ${misc:Depends}, virtuoso-opensource
Description: high-performance database - BPEL module
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999
 support, a powerful stored-procedure language supporting server-side

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_AUTO_UPDATE_ACLOCAL = 1.14
DEB_AUTO_UPDATE_AUTOCONF = 2.61
DEB_AUTO_UPDATE_AUTOMAKE = 1.14
DEB_AUTO_UPDATE_LIBTOOL = pre

DEB_AUTOMAKE_ARGS += -Wno-portability

JDK6PATH = $(shell dpkg -L openjdk-6-jdk | grep "/usr/lib/jvm/java-6-openjdk" | cut -d - -f 1-4| cut -d / -f 1-5 | sort -u )

JDK7PATH = $(shell dpkg -L openjdk-7-jdk | grep "/usr/lib/jvm/java-7-openjdk" | cut -d - -f 1-4| cut -d / -f 1-5 | sort -u)

DEB_CONFIGURE_EXTRA_FLAGS = --with-layout=debian \
		--program-transform-name='s/isql$$/isql-vt/;s/isqlw/isqlw-vt/' \
		--with-readline --without-internal-zlib \
		--enable-maintainer-mode \
		--without-iodbc \
		--enable-demo-vad \
		--enable-tutorial-vad \
		--enable-isparql-vad \
		--enable-ods-vad \
		--enable-rdfmappers-vad \
		--enable-sparqldemo-vad \
		--enable-syncml-vad \
		--enable-bpel-vad \
		--with-jdk4=$(JDK6PATH) \
		--with-jdk4_1=$(JDK7PATH)

ifeq ($(DEB_BUILD_ARCH),alpha)
		EXTRA_LDFLAGS += -Wl,--no-relax
endif

DEB_CONFIGURE_SCRIPT_ENV += \
		LDFLAGS="-Wl,-z,defs -Wl,--no-undefined -Wl,--as-needed $(EXTRA_LDFLAGS)" \
		MONO_DISABLE_SHM=1 \
        DEBIANPKG=virtuoso-opensource-7

DEB_DH_INSTALL_ARGS := --sourcedir=debian/tmp

# update-rc.d is manually called in virtuoso-opensource-7.postinst
# See note there.
DEB_DH_INSTALLINIT_ARGS += --noscripts

# Disabled for now
#DEB_MAKE_INVOKE += -j
#.NOTPARALLEL:

clean::
	debconf-updatepo

pre-build::
	./autogen.sh

build/virtuoso-opensource-7::
	cd debian; find . -name "*.?.xml" -exec docbook2x-man --solinks {} \;

build/libvirtuoso5.5-cil::
	$(MAKE) -C binsrc/VirtuosoClient.Net -f Makefile.mono
	chmod -x binsrc/VirtuosoClient.Net/OpenLink.Data.Virtuoso.dll

cleanbuilddir/libvirtuoso5.5-cil::
	$(MAKE) -C binsrc/VirtuosoClient.Net -f Makefile.mono clean

binary-install/libvirtuoso5.5-cil::
	dh_installcligac

binary-predeb/libvirtuoso5.5-cil::
	dh_makeclilibs
	dh_clideps -d

get-orig-source:
	-uscan --download --verbose
